{% extends "webbase.html" %}
{% block title %}Upload file{% endblock %}

{% block content %}
    <div class="container">
        <!-- List of uploaded documents -->
        {% if documents %}
            <ul>
                {% for document in documents %}
                    <li><a href="{{ document.file.url }}">{{ document.file.name }}</a></li>
                {% endfor %}
            </ul>
        {% else %}
            <p>No documents.</p>
        {% endif %}

        <!-- Upload form. Note enctype attribute! -->
        <form action="{% url "srv_upload" %}" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <p>{{ form.non_field_errors }}</p>

            <p>{{ form.file.label_tag }} {{ form.file.help_text }}</p>

            <p>
                {{ form.title }}
            </p>

            <p>
                {{ form.file.errors }}
                {{ form.file }}
            </p>

            <p><input type="submit" value="Upload"/></p>
        </form>
    </div>
{% endblock %}
